Download it now!
Bug 108391 - Editing: The text color of multiple cells can't be changed under specific conditions
Summary: Editing: The text color of multiple cells can't be changed under specific con...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Cell-Direct-Formatting-Parts
  Show dependency treegraph
 
Reported: 2017-06-07 11:48 UTC by Telesto
Modified: 2019-03-14 03:52 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Some more examples (16.91 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-06-12 15:19 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-06-07 11:48:58 UTC
Description:
The text color of multiple cells can't be changed under specific conditions

Steps to Reproduce:
1. Open a Calc spreadsheet
2. Type in cell A1: ABC DEF
3. Select A1 and set the font color to Black
4. Enter cell A1 and select ABC: Change the color to RED. Select DEF and change the color to BLUE
5. Copy A1 and paste it into cell A2
6. Select A1 and change the font color to black (working)
7. Undo+Z
8. Now select A1 and A2. Try to change the font color of both cells to black (not working)

It's working fine if the change in step 3 isn't made

Actual Results:  
Changing the font color of multiple cells is quite hard when formatting is adding in specific order

Expected Results:
It should be easy to change the formatting


Reproducible: Always

User Profile Reset: No

Additional Info:
Found in
Version: 5.5.0.0.alpha0+
Build ID: ec79f3453471ee9b6ae32e71ff16ea99d9b7751c
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-05-28_23:21:44
Locale: nl-NL (nl_NL); Calc: CL

and in
LibreOffice 3.5.7.2 
Build ID: 3215f89-f603614-ab984f2-7348103-1225a5


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Buovjaga 2017-06-11 15:09:31 UTC
Repro.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.5.0.0.alpha0+
Build ID: 2802dca10eef67554a81cb2347d5f648fa6fcd63
CPU threads: 8; OS: Linux 4.11; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on June 10th 2017
Comment 2 Telesto 2017-06-12 15:19:09 UTC
Created attachment 133976 [details]
Some more examples

I added a few more examples with the same problem (expect one root cause).
Comment 3 QA Administrators 2019-03-14 03:52:18 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug